<template>
  <div class="book">
    <book-option @reset="handleReset" @query="handleQuery"></book-option>
    <book-table ref="table" />
  </div>
</template>

<script>
import BookOption from './component/BookOption.vue'
import BookTable from './component/BookTable.vue'

export default {
  components: {
    BookOption,
    BookTable
  },
  methods: {
    handleReset() {
      this.$refs.table.resetForm()
    },
    handleQuery(data) {
      this.$refs.table.resetForm(data)
    }
  }
}
</script>

<style lang="scss" scoped>
.book {
  .option .el-select .el-input__inner {
    padding-right: 15px;
  }
}
</style>